[
{
    blockid=access;
    help=service_imap_access_access;
    localvar={
	.delimiter="$";
	.allow.help="\u7576\u4e00\u500b (\u5e38\u99d0\u7a0b\u5f0f,\u7528\u6236\u7aef) \u5c0d\u7b26\u5408 \"\u5141\u8a31\" \u7be9\u9078\u6642\uff0c\u5c07\u6388\u8207\u5c0d\u670d\u52d9\u7684\u5b58\u53d6\u3002";
	.allow.header="\u5141\u8a31";
	.deny.help="\u7576\u4e00\u500b (\u5e38\u99d0\u7a0b\u5f0f,\u7528\u6236\u7aef) \u5c0d\u7b26\u5408 \"\u62d2\u7d55\" \u7be9\u9078\u6642\uff0c\u5c07\u62d2\u7d55\u5c0d\u670d\u52d9\u7684\u5b58\u53d6\u3002";
	.deny.header="\u62d2\u7d55";
	.else.help="\u5982\u679c\u4e00\u500b (\u5e38\u99d0\u7a0b\u5f0f,\u7528\u6236\u7aef) \u5c0d\u4e0d\u7b26\u5408\u4e0a\u9762\u6240\u5217\u51fa\u7684\u4efb\u4f55\u7be9\u9078\u6642\uff0c\u5247\u6388\u8207\u5b58\u53d6\u3002";
	.allow.title="\"\u5141\u8a31\" \u7be9\u9078\u689d\u76ee";
	.deny.title="\"\u62d2\u7d55\" \u7be9\u9078\u689d\u76ee";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.allow.title;
	    editui=allowdialog;
	    edittitle=$.allow.title;
	    val=$domainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=denylabel;
	    text=$.deny.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=denytable;
	    stdtable=true;
	    showedit=true;
	    buttonsat=east;
	    label=denylabel;
	    visiblerows=5;
	    addui=denydialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.deny.title;
	    editui=denydialog;
	    edittitle=$.deny.title;
	    val=$domainnotallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=4;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.deny.header;
		    varname=denyrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=5;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.else.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=6;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=allowdialog;
    help=service_imap_access_allowdialog;
    localvar={
	.allowrule.help="\"\u5141\u8a31\" \u7be9\u9078\uff1a";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.allowrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.imapaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.imapaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
},
{
    blockid=denydialog;
    help=service_imap_access_denydialog;
    localvar={
	.denyrule.help="\"\u62d2\u7d55\" \u7be9\u9078\uff1a";
    };
    content=[
	{
	    ctrl=label;
	    text=$.denyrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$denyrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.denyrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.imapaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.imapaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]

